aboutsummaryrefslogtreecommitdiff
path: root/share/keyringer
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-07-11 16:44:20 -0300
committerSilvio Rhatto <rhatto@riseup.net>2013-07-11 16:44:20 -0300
commit8da5023df4b4e3ec55bf52b4377920a8ece941e2 (patch)
tree95cf758e3366f9a2edc549bb8905e4c40c92693d /share/keyringer
parent50e14d3d46f880519a6b258528c65ccd2caf02cc (diff)
downloadkeyringer-8da5023df4b4e3ec55bf52b4377920a8ece941e2.tar.gz
keyringer-8da5023df4b4e3ec55bf52b4377920a8ece941e2.tar.bz2
Better usage handling
Diffstat (limited to 'share/keyringer')
-rwxr-xr-xshare/keyringer/commands10
-rwxr-xr-xshare/keyringer/usage12
2 files changed, 22 insertions, 0 deletions
diff --git a/share/keyringer/commands b/share/keyringer/commands
new file mode 100755
index 0000000..139725a
--- /dev/null
+++ b/share/keyringer/commands
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Show available commands
+#
+
+# Load functions
+LIB="`dirname $0`/../../lib/keyringer/functions"
+source "$LIB" || exit 1
+
+keyringer_show_actions
diff --git a/share/keyringer/usage b/share/keyringer/usage
new file mode 100755
index 0000000..54cbea6
--- /dev/null
+++ b/share/keyringer/usage
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# Show available commands
+#
+
+# Load functions
+LIB="`dirname $0`/../../lib/keyringer/functions"
+source "$LIB" || exit 1
+
+printf "Usage: %s <keyring> <action> [arguments]\n" "$BASENAME"
+printf "Available commands: \n"
+ls $ACTIONS | sed -e 's/^/\t/'